#!/bin/sh
#
# Tests the speed of our internet connection by pinging
# each host in list_hosts once.
#
echo "Testing connection speed on "`date`

speed() {
	outdir=`dirname $0`/data/`date "+%Y_%j_%b%d_%w"`/`date "+%H"`
	mkdir -p $outdir
	read host
	while [ $? -eq 0 ]
	do
	  printf "Pinging $host... "
	  lag=`ping -n -c 1 $host | grep icmp_seq | awk '{print $7}' | awk -F= '{print $2}' `
	  if [ "x$lag" = "x" ]
	  then
		lag="9999"
	  fi
	  echo $lag >> $outdir/$host 
	  echo $lag
	  sleep 1
	  read host
	done
}

speed < `dirname $0`/list_hosts

